%global debug_package %{nil}
%global url_ver %%(echo %{version} | cut -d. -f1-2)

%bcond_without testsuite

Summary:       API documentation generation tool for GTK+ and GNOME
Name:          gtk-doc
Version:       1.33.2
Release:       9%{?dist}
License:       GPLv2+ and GFDL
URL:           https://gitlab.gnome.org/GNOME/gtk-doc/
Source0:       http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

Patch3000:     0001-Partially-revert-a-gtk-doc-1.31-change-that-broke-e-.patch
Patch3001:     0001-Add-gobject-example-source-code-to-path-for-mkhtml-t.patch

BuildRequires: docbook-utils
BuildRequires: docbook-style-xsl
BuildRequires: gcc gettext
BuildRequires: glib2-devel python3-devel meson
BuildRequires: python3-pygments python3-lxml
BuildRequires: /usr/bin/xsltproc
%if %{with testsuite}
BuildRequires: python3-parameterized
%endif

Requires:      docbook-utils /usr/bin/xsltproc docbook-style-xsl
Requires:      python3-pygments
Requires:      python3-lxml

%description
gtk-doc is a tool for generating API reference documentation.
It is used for generating the documentation for GTK+, GLib
and GNOME.

%prep
%autosetup -n %{name}-%{version} -p1
mv doc/README doc/README.docs

%build
%meson -Dyelp_manual=false
%meson_build

%install
%meson_install

%py_byte_compile %{__python3} %{buildroot}%{_datadir}/gtk-doc/

%check
%if %{with testsuite}
%meson_test
%endif

%files
%license COPYING COPYING-DOCS
%doc AUTHORS README doc/* examples
%{_bindir}/*
%{_datadir}/aclocal/gtk-doc.m4
%{_datadir}/gtk-doc/
%{_datadir}/pkgconfig/gtk-doc.pc
%{_libdir}/cmake/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33.2-9
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Mon Sep 23 2024 Shuo Wang <abushwang@tencent.com> - 1.33.2-8
- update source0 url

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33.2-7
- Rebuilt for loongarch release

* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 1.33.2-6
- enable %check

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33.2-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 17 2023 Shuo Wang <abushwang@tencent.com> - 1.33.2-2
- remove unused buildrequires

* Mon Oct 17 2022 Shuo Wang <abushwang@tencent.com> - 1.33.2-1
- initial build
